package cq.flink.kafka.mqtt.cfg;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class JobDescriptor {

    private String sourceName;
    private String sinkName;
    private String jobName;
    private int parallelism;
    
    public static JobDescriptor createDefault() {
        return new JobDescriptor("kafka", "sink", "kafka -> mqtt", 3);
    }
}
