package cq.flink.kafka.mqtt.cfg;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class ApplicationCfg {

    private Topic topic;
    private String bootstrapServers;
    private String groupId;
    /**
     * "earliest" or "latest"
     */
    private String startingOffset;
    private MqttBrokerDescriptor mqtt;

    private JobDescriptor job;
    
}
