package cq.flink.kafka.mqtt.cfg;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class Topic {

    /**
     * 优先读取,存在此配置则忽略 pattern
     */
    private String[] names;
    /**
     * 次要读取,如果 names 不存在, 且 pattern 不存在, 则默认读取所有 topic
     */
    private String pattern;
    private int discoveryInterval;
    
}
